View Issue Details

IDProjectCategoryView StatusLast Update
0000840luatexluatex bugpublic2015-11-03 09:26
ReporterjmfernandezAssigned ToHans Hagen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.70.1 
Target VersionFixed in Version0.85.0 
Summary0000840: Hyperlinks wrongly placed if resized
DescriptionHyperlinks are wrongly placed if declared inside a \resizebox (or similar command from graphics package): they are not on the text but vertically shifted
Steps To ReproduceCompile with lualatex next document (also in the attachment):

\documentclass[a4paper]{article}
\usepackage{ifxetex}
\usepackage{ifluatex}
\ifxetex
\usepackage{fontspec}
\usepackage{xunicode}
\fi
\ifluatex
\usepackage{fontspec}
\usepackage{xunicode}
\fi
\usepackage{hyperref}
\usepackage{graphics}

\begin{document}
\label{Caracola}Hola caracola
\newpage
\resizebox{.4\linewidth}{!}{
\Huge
\hyperref[Caracola]{Jump}
}
\end{document}
Additional InformationIf you compile the same document with xelatex or pdflatex, hyperlinks are placed in the right place.

This bug may be related to 0000770 bug
TagsNo tags attached.

Activities

jmfernandez

2013-07-02 17:54

reporter  

prueba.tex (370 bytes)

jmfernandez

2013-07-02 17:55

reporter   ~0001102

Tested with LuaTeX 0.74.1 and 0.76, TeXLive 2012 and a fresh TeXLive 2013 installation

knut

2013-07-20 12:47

reporter   ~0001110

Similar situation is reported at TeX-SE: http://tex.stackexchange.com/questions/121327/shifted-hyperlink-with-includestandalone

Issue History

Date Modified Username Field Change
2013-07-02 17:54 jmfernandez New Issue
2013-07-02 17:54 jmfernandez File Added: prueba.tex
2013-07-02 17:55 jmfernandez Note Added: 0001102
2013-07-20 12:47 knut Note Added: 0001110
2015-11-03 09:26 Hans Hagen Assigned To => Hans Hagen
2015-11-03 09:26 Hans Hagen Status new => assigned
2015-11-03 09:26 Hans Hagen Status assigned => closed
2015-11-03 09:26 Hans Hagen Resolution open => fixed
2015-11-03 09:26 Hans Hagen Fixed in Version => 0.85.0